%define upstream_name    Dist-Zilla-Plugin-GitHubREADME-Badge
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Dist::Zilla - add badges to github README.md
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Dist::Zilla::Plugin::GitHubREADME::Badge is to add badges in github
README.md

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-2.mga6
+ Revision: 1026211
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 0.160.0-1.mga6
+ Revision: 1007688
- imported package perl-Dist-Zilla-Plugin-GitHubREADME-Badge


* Fri Apr 29 2016 cpan2dist 0.16-1mga
- initial mageia release, generated with cpan2dist
